#ifndef UMDsend_INCLUDED
	#define UMDsend_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class UMDsend : public bncs_script_helper
{
public:
	UMDsend( bncs_client_callback * parent, const char* path );
	virtual ~UMDsend();

	void buttonCallback( buttonNotify *b );
	int revertiveCallback( revertiveNotify * r );
	void databaseCallback( revertiveNotify * r );
	bncs_string parentCallback( parentNotify *p );
	void timerCallback( int );
	
private:
	bncs_string myText;
	int infoDriver_id;
	int slot_id;
	
};


#endif // UMDsend_INCLUDED